HUGO-NEW-CONTENT(1)

NAME

hugo-new-content - Create new content

SYNOPSIS

hugo new content [path] [flags]

DESCRIPTION

Create a new content file and automatically set the date and title. It will guess which kind of file to create based on the path provided.

You can also specify the kind with -k KIND.

If archetypes are provided in your theme or site, they will be used.

Ensure you run this within the root directory of your site.

OPTIONS

-b, --baseURL=""
    hostname (and path) to the root, e.g. https://spf13.com/

--cacheDir=""
    filesystem path to cache directory

-c, --contentDir=""
    filesystem path to content directory

--editor=""
    edit new content with this editor, if provided

-f, --force[=false]
    overwrite file if it already exists

-h, --help[=false]
    help for content

-k, --kind=""
    content type to create

--renderSegments=[]
    named segments to render (configured in the segments config)

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

SEE ALSO

hugo-new(1)